Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518355 - [DOCS] Journald retention time too low
Summary: [DOCS] Journald retention time too low
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.6.0
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Brandi
QA Contact: Junqi Zhao
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-28 17:43 UTC by Josef Karasek
Modified: 2018-05-09 00:28 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-25 18:36:14 UTC


Attachments (Terms of Use)

Description Josef Karasek 2017-11-28 17:43:50 UTC
Document URL:
https://docs.openshift.com/container-platform/3.6/install_config/aggregate_logging_sizing.html#install-config-aggregate-logging-sizing-guidelines-rate-limiting 

https://docs.openshift.org/latest/install_config/aggregate_logging_sizing.html#install-config-aggregate-logging-sizing-guidelines-rate-limiting 

Section Number and Name: 
Systemd-journald and rsyslog: journald  configuration

Describe the issue: 
MaxRetentionSec=5s is too low, according to systemd engineers.

Suggestions for improvement:
Should use higher. Systemd engineers suggest a value around 30 secs.
Additional perf testing is suggested though. 

Additional information:

Comment 2 Junqi Zhao 2018-01-16 05:59:35 UTC
Doc is fine, close as VERIFIED

Comment 3 openshift-github-bot 2018-01-16 14:15:18 UTC
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/a8f185b00010b6300de5f35ef628b3814ae26b34
Bug 1518355 Increase Journald Retention time

https://github.com/openshift/openshift-docs/commit/7a379be4768daf61a3c6f32272ce65eb79c0f0eb
Merge pull request #7161 from bmcelvee/BZ1518355

Bug 1518355 Increase Journald Retention Time


Note You need to log in before you can comment on or make changes to this bug.